%{?nodejs_find_provides_and_requires}

%global packagename github-url-from-git
%global enable_tests 1

Name:		nodejs-github-url-from-git
Version:	1.5.0
Release:	1%{?dist}
Summary:	Parse a github git url and return the github repo url

License:	MIT
URL:		https://github.com/visionmedia/node-github-url-from-git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# patch to fix test syntax
Patch0:		0001-fix-test-syntax.patch


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(better-assert)
%endif

%description
Parse a github git url and return the github repo url


%prep
%autosetup -n package -p1

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun May  7 2017 Jared Smith <jsmith@fedoraproject.org> - 1.5.0-1
- Initial packaging
